## jupyter-server 2.15.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage spelling gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  spelling   to spell check the documentation"

clean:
	rm -rf $(BUILDDIR)/*
	rm -rf source/config.rst

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/JupyterNotebook.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/JupyterNotebook.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/JupyterNotebook"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/JupyterNotebook"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo "Spell check complete; look for any errors in the above output " \
		  "or in $(BUILDDIR)/spelling/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## jupyter-server 1.2.2

=== debian/changelog ===
jupyter-server (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 24 Jan 2021 08:30:56 +0100

jupyter-server (1.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 11 Jan 2021 11:52:05 +0100

jupyter-server (1.1.4-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 06 Jan 2021 08:12:32 +0100

jupyter-server (1.1.3-2) unstable; urgency=medium

  * Add missing depend on anyio.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 29 Dec 2020 11:33:01 +0100

jupyter-server (1.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 29 Dec 2020 10:07:52 +0100

jupyter-server (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 19 Dec 2020 12:17:04 +0100

jupyter-server (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 15 Dec 2020 08:54:18 +0100

jupyter-server (1.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 06 Dec 2020 16:20:08 +0100

jupyter-server (1.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-vers to 4.5.1.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 23 Nov 2020 07:26:43 +0100

jupyter-server (1.0.5-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 15 Nov 2020 12:19:26 +0100

jupyter-server (1.0.5-1) unstable; urgency=medium

  * Initial release. (Closes: #972415)

 -- Julien Puydt <jpuydt@debian.org>  Sun, 18 Oct 2020 09:26:06 +0200

=== debian/control ===
Source: jupyter-server
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.5.1
Homepage: https://github.com/jupyter/jupyter_server
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-anyio,
               python3-ipython-genutils,
               python3-jinja2,
               python3-jupyter-client,
               python3-jupyter-core,
               python3-nbconvert,
               python3-nbformat,
               python3-prometheus-client,
               python3-send2trash,
               python3-sphinx,
               python3-terminado,
               python3-tornado,
               python3-traitlets,
               python3-zmq
Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-server.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-server
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-jupyter-server
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Jupyter protocol server backend (Python 3)
 This software component contains the server backend for
 Jupyter web applications like the Jupyter notebook or
 Jupyterlab.
 .
 This package installs the library for Python 3.

Package: jupyter-server
Architecture: all
Section: utils
Depends: python3-jupyter-server (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: Jupyter protocol server backend (tools)
 This software component contains the server backend for
 Jupyter web applications like the Jupyter notebook or
 Jupyterlab.
 .
 This package contains the jupyter-server tool.

=== debian/watch ===
version=4
opts=\
filenamemangle=s/.*\/([\d\.-]+)\.tar\.gz/jupyter-server-$1.tar.gz/ \
 https://github.com/jupyter/jupyter_server/tags .*/archive/(.*)\.tar\.gz

## jupyter-server 1.13.1

=== debian/changelog ===
jupyter-server (1.13.1-1) unstable; urgency=medium

  * Fix d/watch.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 11 Dec 2021 01:11:49 +0100

jupyter-server (1.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 28 Nov 2021 12:51:29 +0100

jupyter-server (1.12.0-1) unstable; urgency=medium

  * Fix d/watch.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 24 Nov 2021 08:43:45 +0100

jupyter-server (1.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 09 Oct 2021 19:01:53 +0200

jupyter-server (1.11.0-1) unstable; urgency=medium

  * Declare versioned dep on anyio (Closes: #995018).
  * New upstream release.
  * Add lintian overrides.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 27 Sep 2021 08:11:18 +0200

jupyter-server (1.10.2-1) unstable; urgency=medium

  * Fix d/watch.
  * Bump standards-version to 4.6.0.
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 30 Aug 2021 13:54:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/jupyter/jupyter_server
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-anyio,
+               python3-anyio (>= 3.3.1),
                python3-ipython-genutils,
                python3-jinja2,
                python3-jupyter-client,

=== debian/watch ===
version=4
https://github.com/jupyter/jupyter_server/tags .*/v?([\d.]+)\.tar\.gz

## jupyter-server 1.18.1

=== debian/changelog ===
jupyter-server (1.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 11 Jul 2022 07:53:50 +0200

jupyter-server (1.17.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 13 Jun 2022 16:22:49 +0200

jupyter-server (1.17.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop dep on ipython-genutils.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 01 May 2022 21:58:53 +0200

jupyter-server (1.16.0-1) unstable; urgency=medium

  * New upstream release, including fix for CVE-2022-24757. (Closes: #1008319).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Apr 2022 18:21:23 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/jupyter/jupyter_server
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-anyio (>= 3.3.1),
-               python3-ipython-genutils,
                python3-jinja2,
                python3-jupyter-client,
                python3-jupyter-core,

## jupyter-server 1.23.3

=== debian/changelog ===
jupyter-server (1.23.3-2) unstable; urgency=medium

  * Team upload
  * Patch timezone functions to avoid deprecation warning with Python 3.12
    that breaks dask.distributed tests
  * (This release in salsa debian/1.x branch)

 -- Julian Gilbey <jdg@debian.org>  Mon, 01 Jan 2024 18:57:02 +0000

jupyter-server (1.23.3-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 25 Nov 2022 10:36:23 +0100

jupyter-server (1.23.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop all lintian overrides (obsolete).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 14 Nov 2022 13:01:49 +0100

jupyter-server (1.21.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 28 Oct 2022 19:45:55 +0200

jupyter-server (1.18.1-2) unstable; urgency=medium

  * Add missing b-dep on setuptools (Closes: #1020009).

 -- Julien Puydt <jpuydt@debian.org>  Sat, 24 Sep 2022 09:24:21 +0200

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
                python3-nbformat,
                python3-prometheus-client,
                python3-send2trash,
+               python3-setuptools,
                python3-sphinx,
                python3-terminado,
                python3-tornado,

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	find debian/tmp -name README.md -delete

override_dh_installexamples:
	dh_installexamples
	chmod a-x debian/python3-jupyter-server/usr/share/doc/python3-jupyter-server/examples/setup.py

override_dh_auto_test:
	# Debian doesn't have pytest-tornadosync...

=== debian/tests/control ===
Test-Command: python3 -c "import jupyter_server; print(jupyter_server)"
Depends: python3-jupyter-server
Restrictions: superficial

## jupyter-server 2.14.2

=== debian/changelog ===
jupyter-server (2.14.2-5) unstable; urgency=medium

  * Team upload.
  * Ignore unclosed sqlite connection in traits (closes: #1088366).

 -- Colin Watson <cjwatson@debian.org>  Mon, 16 Dec 2024 01:43:57 +0000

jupyter-server (2.14.2-4) unstable; urgency=medium

  * Skip failing tests on riscv64 (it wasn't a timeout issue)
  * Install pandoc for tests

 -- Julian Gilbey <jdg@debian.org>  Tue, 13 Aug 2024 21:33:44 +0100

jupyter-server (2.14.2-3) unstable; urgency=medium

  * Fix overwriting examples; (closes: #1078433)
  * Try increasing the timeout for riscv64 autopkgtests

 -- Julian Gilbey <jdg@debian.org>  Sat, 10 Aug 2024 22:57:44 +0100

jupyter-server (2.14.2-2) unstable; urgency=medium

  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Fri, 09 Aug 2024 07:08:20 +0100

jupyter-server (2.14.2-1) unstable; urgency=medium

  * New upstream release (closes: #1030786)
    Security issues resolved:
    - CVE-2023-40170 (closes: #1057097)
    - CVE-2023-39968 (closes: #1057739)
    - CVE-2023-49080 (closes: #1057454)
  * Add myself as an uploader
  * Update upstream location in debian/*
  * Update d/copyright to match current LICENSE file
  * Build sphinx documentation in a separate -doc package
  * Use upstream testsuite in autopkgtest

 -- Julian Gilbey <jdg@debian.org>  Tue, 06 Aug 2024 07:36:08 +0100

jupyter-server (2.14.0-1) experimental; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Sun, 12 May 2024 20:45:55 +0200

jupyter-server (2.9.1-2) UNRELEASED; urgency=medium

  * Add missing depends.

 -- Roland Mas <lolando@debian.org>  Tue, 28 Nov 2023 21:51:51 +0100

jupyter-server (2.9.1-1) experimental; urgency=medium

  * New upstream release.
  * Add myself as uploader.

 -- Roland Mas <lolando@debian.org>  Wed, 08 Nov 2023 12:08:27 +0100

=== debian/control ===
Source: jupyter-server
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>,
           Roland Mas <lolando@debian.org>,
           Julian Gilbey <jdg@debian.org>
Section: python
Priority: optional
Standards-Version: 4.7.0
Homepage: https://github.com/jupyter-server/jupyter_server
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               libjs-bootstrap,
               pybuild-plugin-pyproject,
               python3-all,
               python3-anyio (>= 3.3.1),
               python3-argon2,
               python3-hatch-jupyter-builder,
               python3-hatchling,
               python3-ipykernel <!nodoc>,
               python3-ipython <!nodoc>,
               python3-jinja2,
               python3-jupyter-client,
               python3-jupyter-core,
               python3-jupyter-events,
               python3-jupyter-server-terminals,
               python3-myst-parser <!nodoc>,
               python3-nbconvert,
               python3-nbformat,
               python3-overrides,
               python3-packaging,
               python3-prometheus-client,
               python3-pydata-sphinx-theme <!nodoc>,
               python3-send2trash,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-autodoc-typehints <!nodoc>,
               python3-sphinxcontrib-github-alt <!nodoc>,
               python3-sphinxcontrib.openapi <!nodoc>,
               python3-sphinxemoji <!nodoc>,
               python3-terminado,
               python3-tornado,
               python3-traitlets (>= 5.14.3+really5.14.3),
               python3-typing-extensions <!nodoc>,
               python3-websocket,
               python3-zmq
Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-server.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-server
Rules-Requires-Root: no
Description: Jupyter protocol server backend
 This software component contains the server backend for
 Jupyter web applications like the Jupyter notebook or
 JupyterLab. It provides the core services, APIs and REST
 endpoints to these applications.

Package: python3-jupyter-server
Architecture: all
Depends: libjs-bootstrap,
         python3-traitlets (>= 5.14.3+really5.14.3),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-jupyter-server-doc
Description: ${source:Synopsis} (Python 3)
 ${source:Extended-Description}
 .
 This package installs the library for Python 3.

Package: jupyter-server
Architecture: all
Section: utils
Depends: python3-jupyter-server (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-jupyter-server-doc
Description: ${source:Synopsis} (tools)
 ${source:Extended-Description}
 .
 This package contains the jupyter-server tool.

Package: python-jupyter-server-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: jupyter-server,
          python3-jupyter-server
Breaks: python3-jupyter-server (<< 2.14.2-1)
Replaces: python3-jupyter-server (<< 2.14.2-1)
Multi-Arch: foreign
Description: ${source:Synopsis} (Documentation)
 ${source:Extended-Description}
 .
 This package installs the examples and HTML documentation for the library.
Build-Profiles: <!nodoc>

=== debian/tests/control ===
Tests: pytest
Depends: jupyter-core,
         jupyter-server,
         pandoc,
         python3-all,
         python3-flaky,
         python3-ipykernel,
         python3-pytest,
         python3-pytest-console-scripts,
         python3-pytest-jupyter,
         python3-pytest-timeout,
         python3-requests
Restrictions: allow-stderr

## jupyter-server 2.15.0

=== debian/changelog ===
jupyter-server (2.15.0-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Tue, 01 Apr 2025 11:35:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Julian Gilbey <jdg@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/jupyter-server/jupyter_server
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -22,7 +22,7 @@
                python3-jinja2,
                python3-jupyter-client,
                python3-jupyter-core,
-               python3-jupyter-events,
+               python3-jupyter-events (>= 0.11.0),
                python3-jupyter-server-terminals,
                python3-myst-parser <!nodoc>,
                python3-nbconvert,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = jupyter_server
export LC_ALL=C.UTF-8

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_configure:
	cp /usr/share/javascript/bootstrap/css/*.min.* jupyter_server/static/style

ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	export PYTHONPATH=$$(pybuild --print build_dir | grep "^$$(py3versions -d)" | sed -e 's/^.*: //'); \
	    make -C docs html
endif

override_dh_installdocs:
	dh_installdocs -ppython-jupyter-server-doc --doc-main-package=python3-jupyter-server
	dh_installdocs --remaining-packages

override_dh_compress:
	dh_compress -ppython-jupyter-server-doc -X.ttf -X.eot
	dh_compress --remaining-packages

execute_before_dh_python3:
	mv debian/python3-jupyter-server/usr/bin debian/jupyter-server/usr

override_dh_installexamples:
	dh_installexamples -ppython-jupyter-server-doc --doc-main-package=python3-jupyter-server
	dh_installexamples --remaining-packages
	chmod a-x debian/python-jupyter-server-doc/usr/share/doc/python3-jupyter-server/examples/setup.py

override_dh_auto_test:
	# Many of the tests require a sensible environment, so we
	# defer these to autopkgtest

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/jupyter-server/jupyter_server/tags?per_page=100 \
    https://api.github.com/repos/jupyter-server/jupyter_server/tarball/refs/tags/@ANY_VERSION@

## jupyter-server 2.17.0

=== debian/changelog ===
jupyter-server (2.17.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.17.0
  * d/control: drop python3-overrides, not needed for python >= 3.12
  * d/control: standards-version 4.7.3, drop priority, drop rules-requires-root

 -- Gordon Ball <gordon@chronitis.net>  Sun, 11 Jan 2026 14:53:32 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
            Roland Mas <lolando@debian.org>,
            Julian Gilbey <jdg@debian.org>
 Section: python
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/jupyter-server/jupyter_server
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -27,7 +26,6 @@
                python3-myst-parser <!nodoc>,
                python3-nbconvert,
                python3-nbformat,
-               python3-overrides,
                python3-packaging,
                python3-prometheus-client,
                python3-pydata-sphinx-theme <!nodoc>,
@@ -46,7 +44,6 @@
                python3-zmq
 Vcs-Git: https://salsa.debian.org/python-team/packages/jupyter-server.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/jupyter-server
-Rules-Requires-Root: no
 Description: Jupyter protocol server backend
  This software component contains the server backend for
  Jupyter web applications like the Jupyter notebook or
